# CDB
cdb is a powerful software tool designed to automate economic calculations by managing a database of items, their relations, quantities, and tracking demands. This tool facilitates the estimation of demand and supply, aiding in making informed decisions on production, imports, and purchases to meet market needs efficiently.

## Features
- Data Input: Start with a root dataset of items and their relations, including details such as item names, categories, and dependencies.
- Inventory Tracking: Record and update the quantities of items within the database based on real-world transactions, production, and consumption.
- Demand Tracking: Monitor the demand for each item, keeping track of how many units are required over time.
- Supply Calculation: Automatically calculate and update the estimated supply needed to meet the current demand.
- Automated Economics: Utilize the collected data to automate economic decisions, determining optimal production levels, imports, and purchases to fulfill market needs.
- Flexible Reporting: Generate reports and visualizations to analyze the economic trends